@echo off
rem ================================================
rem MAP Launcher Batch File v2.0
rem By David Sorensen
rem E-mail: duke3d@atomkraft.8m.com
rem URL: http://www.atomkraft.8m.com
rem Feel free to use this for your own levels.
rem Please leave this as it is.
rem ================================================

cls
echo =============================================
echo   Map Launcher Batch File by David Sorensen
echo =============================================
echo.
echo Scanning for necessary files...
if not exist duke3d.exe echo.
if not exist duke3d.exe echo I don't think this is your Duke Nukem 3D directory.
if not exist duke3d.exe echo Install the files into your Duken Nukem 3D directory
if not exist duke3d.exe echo and run bunker-x.bat (at the DOS-prompt type bunker-x)
if not exist duke3d.exe goto quit

rem LEVEL
if exist bunker-x.map echo bunker-x.map
if not exist bunker-x.map echo Can't find bunker-x.map
if not exist bunker-x.map goto map

rem TEMPLATE
if exist bunker-x.txt echo bunker-x.txt
if not exist bunker-x.txt echo Can't find bunker-x.txt
if not exist bunker-x.txt goto txt

rem MIDI
:scanmid
if exist bunker-x.mid echo bunker-x.mid
if not exist bunker-x.mid echo Can't find bunker-x.mid
if not exist bunker-x.mid goto mid

echo.
echo Prepare to enter Bunker-X by David Sorensen.
echo.
pause
goto menu

:map
echo.
echo You can't play the level without the file bunker-x.map. You have
echo to copy the file bunker-x.map in to your Duke Nukem 3D directory.
echo.
goto quit


:txt
echo.
echo If you don't got the file bunker-x.txt this
echo batch-file will not work properly.
echo.
pause

cls
echo =============================================
echo   Map Launcher Batch File by David Sorensen
echo =============================================
echo.
echo Scanning for necessary files...
goto scanmid

:mid
echo.
echo If you don't got the file bunker-x.mid the
echo game will not work properly.
echo Do you wish to continue?
echo.
choice /c:yn "        "
if errorlevel 2 goto quit
echo.

:menu
cls
echo =============================================
echo   Map Launcher Batch File by David Sorensen
echo =============================================
echo.
echo    1.  Play Bunker-X
echo    2.  Map info
echo    3.  Delete Bunker-X
echo    4.  Abort
echo.
choice /c:1234 "        "
if errorlevel 4 goto quit
if errorlevel 3 goto del
if errorlevel 2 goto read

:play
cls
echo ==========================
echo   Bunker-X - Seclect skill
echo ==========================
echo.
echo    1.  Piece of kake
echo    2.  Let's rock
echo    3.  Come get some
echo    4.  Damn I'm good
echo    5.  Abort
echo.
choice /c:12345 "        "
if errorlevel 5 goto menu
if errorlevel 4 goto skill4
if errorlevel 3 goto skill3
if errorlevel 2 goto skill2

:skill1
if exist dethtoll.mid ren dethtoll.mid dethtoll.bnk
if exist bunker-x.mid ren bunker-x.mid dethtoll.mid
duke3d - map bunker-x.map /s1
if exist dethtoll.mid ren dethtoll.mid bunker-x.mid
if exist dethtoll.bnk ren dethtoll.bnk dethtoll.mid
goto end

:skill2
if exist dethtoll.mid ren dethtoll.mid dethtoll.bnk
if exist bunker-x.mid ren bunker-x.mid dethtoll.mid
duke3d - map bunker-x.map /s2
if exist dethtoll.mid ren dethtoll.mid bunker-x.mid
if exist dethtoll.bnk ren dethtoll.bnk dethtoll.mid
goto end

:skill3
if exist dethtoll.mid ren dethtoll.mid dethtoll.bnk
if exist bunker-x.mid ren bunker-x.mid dethtoll.mid
duke3d - map bunker-x.map /s3
if exist dethtoll.mid ren dethtoll.mid bunker-x.mid
if exist dethtoll.bnk ren dethtoll.bnk dethtoll.mid
goto end

:skill4
if exist dethtoll.mid ren dethtoll.mid dethtoll.bnk
if exist bunker-x.mid ren bunker-x.mid dethtoll.mid
duke3d - map bunker-x.map /s4
if exist dethtoll.mid ren dethtoll.mid bunker-x.mid
if exist dethtoll.bnk ren dethtoll.bnk dethtoll.mid
goto end

:read
cls
if exist bunker-x.txt more bunker-x.txt
if not exist bunker-x.txt echo The file bunker-x.txt is not located in this dir.
if not exist bunker-x.txt echo Please reinstall Bunker-X.
if not exist bunker-x.txt echo.
pause
goto menu

:del
cls
echo Are you sure you want to delete Bunker-X
echo and all it's components?
echo.
choice /c:yn "        "
if errorlevel 2 goto menu

cls
echo This batch-file is about to be deleted.
echo Just ignore the error message.
echo.
echo Do you still want to continue?
echo.
choice /c:yn "        "
if errorlevel 2 goto menu

:delete
echo.
echo Deleteing files...
echo bunker-x.map
del bunker-x.map
echo bunker-x.txt
del bunker-x.txt
echo bunker-x.mid
del bunker-x.mid
echo bunker-x.bat
del bunker-x.bat

:end
cls
echo.
echo   Thank you for playing Bunker-X!
echo.
echo   Please send comments to duke3d@atomkraft.8m.com.
echo   You can also visit my homepage http://www.atomkraft.8m.com.
echo.
goto quit

:quit
